🚧 [Experimental] Update cloud environment
Updates the passed fields of a cloud environment, including the maximum size of its storage bucket, and returns an asynchronous operation.
Request
POST
https://api.datalens.tech/rpc/updateCloudEnvironment
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"id": "example",
"name": "example",
"description": "example",
"securityGroupIds": [
"example"
],
"storage": {
"maxSize": "example"
}
}
|
Name |
Description |
||
|
id |
Type: string ID of the cloud environment to update. Min length: Max length: Example: |
||
|
description |
Type: string New description of the cloud environment. An empty string clears it. Max length: Example: |
||
|
name |
Type: string New name of the cloud environment. Max length: Pattern: Example: |
||
|
securityGroupIds |
Type: string[] New IDs of the security groups used by the cloud environment. Example
|
||
|
storage |
Type: object
New storage settings of the cloud environment. Fails for an environment created without storage. Example
|
Responses
200 OK
Response
Body
application/json
{
"id": "example",
"description": "example",
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"createdBy": "example",
"modifiedAt": {
"seconds": "example",
"nanos": 0.5
},
"done": true,
"metadata": {},
"error": {
"code": 0.5,
"message": "example",
"details": [
null
]
},
"response": {}
}
|
Name |
Description |
||||||
|
done |
Type: boolean Whether the operation has completed. |
||||||
|
id |
Type: string Unique ID of the operation. Example: |
||||||
|
metadata |
Type: object
Service-specific operation metadata. Example
|
||||||
|
createdAt |
Type: object
Time when the operation was created. Example
|
||||||
|
createdBy |
Type: string ID of the operation creator. Example: |
||||||
|
description |
Type: string Description of the operation. Example: |
||||||
|
error |
Type: object
Operation error, if the operation failed. Example
|
||||||
|
modifiedAt |
Type: object
Time when the operation was last modified. Example
|
||||||
|
response |
Type: object
Service-specific operation response. Example
|